package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BtacbsVo extends AbstractCommonVo {

    private CbbVo max;

    private CbbVo max2;

    private CbbVo opn1;

    private CbbVo opn2;

    private CbbVo opnbpdisc;

    private CbbVo opnbe1amt;

    private CbbVo opnbe1amt2;

    private CbbVo maxbe1amt;

    private CbbVo maxbe1amt2;

    @Override
    public void reset() {
        if (max == null) {
            max = new CbbVo();
        }
        if (max2 == null) {
            max2 = new CbbVo();
        }
        if (opn1 == null) {
            opn1 = new CbbVo();
        }
        if (opn2 == null) {
            opn2 = new CbbVo();
        }
        if (opnbpdisc == null) {
            opnbpdisc = new CbbVo();
        }
        if (opnbe1amt == null) {
            opnbe1amt = new CbbVo();
        }
        if (opnbe1amt2 == null) {
            opnbe1amt2 = new CbbVo();
        }
        if (maxbe1amt == null) {
            maxbe1amt = new CbbVo();
        }
        if (maxbe1amt2 == null) {
            maxbe1amt2 = new CbbVo();
        }
    }
}
